IPTRAF(8)

NAZWA
iptraf - interaktywny (kolorowy) monitor IP LAN

SKŁADNIA
iptraf [ -f ] [ -q ] [[ -h ] [ { -i | -g | -d interfejs | -s interfejs | -l } [ -t timeout ]]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

iptraf jest bazującym na bibliotece ncurses monitorem pakietów IP w sieci lokalnej generującym różnorodne statystyki sieciowe zawierające: informacje o pakietach TCP, zliczenia UDP, ICMP i OSPF, informacje o wykorzystaniu Ethetnetu, stany węzłów, błędy sum kontrolnych IP i inne.

Jeżeli iptraf jest uruchomiony bez opcji, przechodzi do trybu interaktywnego z menu głównym.

OPCJE
Poniższe opcje mogą być dodane w linii komend:

-i  uruchamia się bezpośrednio jako monitor ruchu pakietów IP (IP traffic monitor)

-g  uruchamia się bezpośrednio jako monitor statystyk interfejsów sieciowych (general interface statistics)

-d interfejs
    uruchamia się bezpośrednio jako szczegółowy monitor dla konkretnego interfejs-u

-s interfejs
    uruchamia się bezpośrednio jako monitor pakietów TCP i UDP dla konkretnego interfejs-u

-l  startuje jako monitor sieci lokalnej

-t timeout
    ustawia timeout dla danej usługi (konkretnego monitora) w minutach. (Ta opcja jest używana tylko z opcjami znajdującymi się powyżej)

-f  forsuje własne ustawienia nadpisując (kasując) inne pochodzące od innych aktualnie pracujących procesów IPTraf-a. Używać z ostrożnością. Może spowodować konflikty z innymi procesami IPTrafa. Ta opcja może być użyta do przywróceniu ustawień IPTraf-a po niespodziewanym przerwaniu jego pracy.

-q  wyłącza wyświetlanie ostrzeżeń na maszynach z włączonym IP-masquaradingiem. Ostrzeżenia te są domyślnie wyświetlane w celu poinformowania o możliwości przekłamań w wynikach pracy IPTraf-a w związku z forwardowaniem pakietów.

-h  pokazuje skrócony opis opcji IPTraf-a

PLIKI
/var/log/iptraf/iptraf.log - plik dziennika

ZOBACZ TAKŻE
Documentation/* - pełna dokumentacja napisana przez autora

AUTOR
Gerard Paul Java (riker@mozcom.com)

AUTOR MANUAL-a
Frederic Peters (fpeters@debian.org), używając komenedy iptraf --help. Ogólne modyfikacje w tym dokumencie wykonał Gerard Paul Java (riker@mozcom.com).

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 iptraf

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.